package com.bonus.canteen.core.supply.purchase.constants;

public enum DrpMaterialTenderEnum {
   WAIT_COMMIT(1, "待提交"),
   ALREADY_COMMIT(2, "已提交");

   private final Integer key;
   private final String value;

   private DrpMaterialTenderEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      DrpMaterialTenderEnum[] enums = values();
      DrpMaterialTenderEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpMaterialTenderEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      DrpMaterialTenderEnum[] enums = values();
      DrpMaterialTenderEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpMaterialTenderEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

   public static enum TenderStatusEnum {
      NOT_START(1, "未开始"),
      IN_PROGRESS(2, "进行中"),
      CLOSED(3, "已结束"),
      ABORTED_BIDS(4, "流标");

      private final Integer key;
      private final String value;

      private TenderStatusEnum(Integer key, String value) {
         this.key = key;
         this.value = value;
      }

      public Integer key() {
         return this.key;
      }

      public String value() {
         return this.value;
      }

   }

   public static enum DisassemblyMethod {
      CATEGORY(1, "类别"),
      MATERIAL(2, "货品");

      private final Integer key;
      private final String value;

      private DisassemblyMethod(Integer key, String value) {
         this.key = key;
         this.value = value;
      }

      public Integer key() {
         return this.key;
      }

      public String value() {
         return this.value;
      }
   }

   public static enum TenderTypeEnum {
      INVITATION_TO_TENDER(1, "邀请招标"),
      PUBLIC_TENDER(2, "公开招标");

      private final Integer key;
      private final String value;

      private TenderTypeEnum(Integer key, String value) {
         this.key = key;
         this.value = value;
      }

      public Integer key() {
         return this.key;
      }

      public String value() {
         return this.value;
      }

   }

   public static enum ReleaseEnum {
      WAIT_RELEASE(1, "待发布"),
      ALREADY_RELEASE(2, "已发布");

      private final Integer key;
      private final String value;

      private ReleaseEnum(Integer key, String value) {
         this.key = key;
         this.value = value;
      }

      public Integer key() {
         return this.key;
      }

      public String value() {
         return this.value;
      }

   }
}
